import { SvelteComponentTyped } from "svelte";
import type { ReviewType } from '../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        review: ReviewType;
        articleClass?: string | undefined;
        divClass?: string | undefined;
        imgClass?: string | undefined;
        ulClass?: string | undefined;
        liClass?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        address: {};
        item1: {};
        item2: {};
        item3: {};
        default: {};
    };
};
export type ReviewProps = typeof __propDef.props;
export type ReviewEvents = typeof __propDef.events;
export type ReviewSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let review: ReviewType;
 * @prop export let articleClass: string = 'md:gap-8 md:grid md:grid-cols-3';
 * @prop export let divClass: string = 'flex items-center mb-6 space-x-4';
 * @prop export let imgClass: string = 'w-10 h-10 rounded-full';
 * @prop export let ulClass: string = 'space-y-4 text-sm text-gray-500 dark:text-gray-400';
 * @prop export let liClass: string = 'flex items-center';
 */
export default class Review extends SvelteComponentTyped<ReviewProps, ReviewEvents, ReviewSlots> {
}
export {};
//# sourceMappingURL=Review.svelte.d.ts.map