import { SvelteComponentTyped } from "svelte";
import type { PsizeType, PweightType } from '../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        color?: string | undefined;
        height?: "normal" | "relaxed" | "loose" | undefined;
        align?: "center" | "left" | "right" | undefined;
        justify?: boolean | undefined;
        italic?: boolean | undefined;
        firstupper?: boolean | undefined;
        upperClass?: string | undefined;
        opacity?: number | undefined;
        whitespace?: "normal" | "pre" | "nowrap" | "preline" | "prewrap" | undefined;
        size?: PsizeType | undefined;
        space?: 'tighter' | 'tight' | 'normal' | 'wide' | 'wider' | 'widest' | undefined;
        weight?: PweightType | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type PProps = typeof __propDef.props;
export type PEvents = typeof __propDef.events;
export type PSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let color: string = 'text-gray-900 dark:text-white';
 * @prop export let height: 'normal' | 'relaxed' | 'loose' = 'normal';
 * @prop export let align: 'left' | 'center' | 'right' = 'left';
 * @prop export let justify: boolean = false;
 * @prop export let italic: boolean = false;
 * @prop export let firstupper: boolean = false;
 * @prop export let upperClass: string = 'first-line:uppercase first-line:tracking-widest first-letter:text-7xl first-letter:font-bold first-letter:text-gray-900 dark:first-letter:text-gray-100 first-letter:mr-3 first-letter:float-left';
 * @prop export let opacity: number | undefined = undefined;
 * @prop export let whitespace: 'normal' | 'nowrap' | 'pre' | 'preline' | 'prewrap' = 'normal';
 * @prop export let size: PsizeType = 'base';
 * @prop export let space: 'tighter' | 'tight' | 'normal' | 'wide' | 'wider' | 'widest' | undefined = undefined;
 * @prop export let weight: PweightType = 'normal';
 */
export default class P extends SvelteComponentTyped<PProps, PEvents, PSlots> {
}
export {};
//# sourceMappingURL=P.svelte.d.ts.map